View Issue Details

IDProjectCategoryView StatusLast Update
0004907GNUnettransport servicepublic2018-06-07 00:24
ReportertgAssigned Tong0 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformamd64OSdebianOS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004907: transport tests hang
Descriptionhttps://gnunet.org/buildbot/gnunet/#/builders/6/builds/179/steps/19/logs/stdio

git rev 2401a858f667b1c5c56cc30a7c7aede4fc6e72e2
TagsNo tags attached.

Activities

jah

2017-06-08 15:21

reporter   ~0012238

The attached fixes the problems seen in the buildbot log.

0001-Fix-quota-compliance-tests.patch (859 bytes)
Subject: [PATCH] Fix quota compliance tests.

---
 src/transport/test_quota_compliance.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/transport/test_quota_compliance.c b/src/transport/test_quota_compliance.c
index 73b773b88..211e64e32 100644
--- a/src/transport/test_quota_compliance.c
+++ b/src/transport/test_quota_compliance.c
@@ -305,11 +305,11 @@ main (int argc,
   }
   for (unsigned int i=0;i<2;i++)
   {
-    if ( (NULL != gen_cfgs[0]) &&
-         (GNUNET_YES == GNUNET_DISK_file_test (gen_cfgs[0])) )
+    if ( (NULL != gen_cfgs[i]) &&
+         (GNUNET_YES == GNUNET_DISK_file_test (gen_cfgs[i])) )
     {
-      GNUNET_DISK_directory_remove (gen_cfgs[0]);
-      GNUNET_free (gen_cfgs[0]);
+      GNUNET_DISK_directory_remove (gen_cfgs[i]);
+      GNUNET_free (gen_cfgs[i]);
     }
   }
   return 0;
-- 
2.13.1

ng0

2017-07-02 02:14

developer   ~0012289

Last edited: 2017-07-02 02:26

View 2 revisions

jah: Do you know if this was applied or tested? If this fixes the problem there really shouldn't be any reason for 3 weeks without reply unless Matthias is otherwise busy.

Just judging from the description this touches only tests, so if nothing happens by monday or tuesday I will test your patch and if it still applies I'll commit it.

edit: just trying this now. Could you next time please use git format-patch for the patch? I'm adjusting this patchfile manually now.

ng0

2017-07-02 02:33

developer   ~0012290

Last edited: 2017-07-02 02:41

View 4 revisions

It seems to me as if this has already been applied in the revision I am looking at, and someone forgot to close this bug.
There is no difference between the file and your patch anymore other than that it does no longer apply.

I am taking the liberty to close this, I am now running a test of gnunet on 6cc0e50715eb97baac69c05141f3f3bb3df4ec75 but expecting this particular problem to be fixed.

edit: Okay, I keep forgetting that I can't just close things in mantis when I am not the assigned person.
Someone please close this if it is really fixed. Thanks.

Christian Grothoff

2017-07-02 10:11

manager   ~0012294

ng0: can you try _resolving_ instead of closing?

Issue History

Date Modified Username Field Change
2017-02-21 15:53 tg New Issue
2017-02-21 15:53 tg Status new => assigned
2017-02-21 15:53 tg Assigned To => Matthias Wachs
2017-02-21 18:05 Christian Grothoff Product Version => SVN HEAD
2017-02-21 18:05 Christian Grothoff Target Version => 0.11.0pre66
2017-06-08 15:21 jah File Added: 0001-Fix-quota-compliance-tests.patch
2017-06-08 15:21 jah Note Added: 0012238
2017-07-02 02:14 ng0 Note Added: 0012289
2017-07-02 02:26 ng0 Note Edited: 0012289 View Revisions
2017-07-02 02:33 ng0 Note Added: 0012290
2017-07-02 02:35 ng0 Note Edited: 0012290 View Revisions
2017-07-02 02:40 ng0 Note Edited: 0012290 View Revisions
2017-07-02 02:41 ng0 Note Edited: 0012290 View Revisions
2017-07-02 10:11 Christian Grothoff Note Added: 0012294
2017-07-02 10:11 Christian Grothoff Assigned To Matthias Wachs => ng0
2017-07-02 10:11 Christian Grothoff Status assigned => resolved
2017-07-02 10:11 Christian Grothoff Resolution open => fixed
2017-07-02 10:11 Christian Grothoff Fixed in Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed